Back to Instagram
TikHub·Instagram

Instagram V1: Get user posts list V2

/api/v1/instagram/v1/fetch_user_posts_v2sync$0.003 / call

Get user posts list with pagination (TikHub · Instagram V1)

Input
  • user_idstringrequired

    Instagram user ID

  • countinteger

    Count per page (default 12)

  • end_cursorstring

    Pagination cursor for next page

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/instagram/v1/fetch_user_posts_v2","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.